<?php

/**
 * @package     Joomla.Tutorials
 * @subpackage  Module
 * @copyright   (C) 2012 http://jomla-code.ru
 * @license     License GNU General Public License version 2 or later; see LICENSE.txt
 */

// No direct access to this file
defined('_JEXEC') or die;
?>
<?php
$pole1marshrut=$params->get('pole1marshrut');
$pole1marshruton=$params->get('pole1marshruton');
$pole2marshrut=$params->get('pole2marshrut');
$pole2marshruton=$params->get('pole2marshruton');
$pole3marshrut=$params->get('pole3marshrut');
$pole3marshrutkm=$params->get('pole3marshrutkm');
$pole3marshruton=$params->get('pole3marshruton');
$pole3marshrutap=$params->get('pole3marshrutap');
$pole3marshrutsh=$params->get('pole3marshrutsh');
$pole3marshrutdo=$params->get('pole3marshrutdo');
$stylemarshrut=$params->get('stylemarshrut');
echo '<style>'.$stylemarshrut.'</style>';
?>

<script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?key=<?php echo $pole3marshrutap; ?>&sensor=false"></script>

<script type="text/javascript">
  var displaygmaps;
  var servicegmaps = new google.maps.DirectionsService();
  var mygmaps;
  function initialize() {
  displaygmaps = new google.maps.DirectionsRenderer();
  var myOptions = {
  zoom:5,
  mapTypeId: google.maps.MapTypeId.ROADMAP,
  center: new google.maps.LatLng(<?php echo $pole3marshrutsh; ?>, <?php echo $pole3marshrutdo; ?>)    }
  mygmaps = new google.maps.Map(document.getElementById("mapgmaps"), myOptions);
  displaygmaps.setMap(mygmaps);
  google.maps.event.addListener(displaygmaps, 'directions_changed', function() {
  computeTotalDistance(displaygmaps.directions);
  }); }
  function marshrutgmaps() {
  var start = document.getElementById("startgmaps").value;
  var end = document.getElementById("endgmaps").value;
  var request = {
  origin:start,
  destination:end,
  travelMode: google.maps.DirectionsTravelMode.DRIVING  };
  servicegmaps.route(request, function(response, status) {
  if (status == google.maps.DirectionsStatus.OK) {
  displaygmaps.setDirections(response);     }
  }); }
  function computeTotalDistance(result) {
  var rasstgmaps = 0; var timesgmaps = ''; var myroute = result.routes[0];
  var cenaforkm = <?php echo $pole3marshrutkm; ?>;
  for (i = 0; i < myroute.legs.length; i++) {
  rasstgmaps += myroute.legs[i].distance.value;
  timesgmaps += myroute.legs[i].duration.text;  }
  rasstgmaps = rasstgmaps/1000;
  pricetotal = Math.floor(rasstgmaps*cenaforkm);
  <?php if($pole3marshruton == "on") { ?> document.getElementById("pricegmaps").innerHTML = '<?php echo $pole3marshrut; ?>' + pricetotal + " руб."; <?php } ?>
  <?php if($pole1marshruton == "on") { ?> document.getElementById("rasstgmaps").innerHTML = '<?php echo $pole1marshrut; ?>' + Math.floor(rasstgmaps) + ' км'; <?php } ?>
  <?php if($pole2marshruton == "on") { ?> document.getElementById("timesgmaps").innerHTML = '<?php echo $pole2marshrut; ?>' + timesgmaps; <?php } ?> }
  window.onload = initialize;
</script>

<div class="gmaps0">
<div class="gmaps1">
<div class="gmaps2">Пункт отправления: <input type="text" value="" name="startgmaps" id="startgmaps" /></div>
<div class="gmaps3">Пункт прибытия: <input type="text" value="" name="endgmaps" id="endgmaps" /></div>
<div class="gmaps4"><input name="rezgmaps" type="button" onClick="marshrutgmaps();" value="Рассчитать" />    </div>
</div>
<div class="gmaps5">
<div id="rasstgmaps"></div>
<div id="timesgmaps"></div>
<div id="pricegmaps"></div>
</div>
<div class="gmaps6"><div id="mapgmaps"></div></div></div><div style="text-align: right;" class="blavtors"><a style="text-decoration:none; color: #999; font-family: arial; font-size: 5px; " target="_blank" href="http://blogprogram.ru/" title="Программирование на PHP, Jquery, Joomla и Wordpress">blogprogram.ru</a></div>